## org.apache.commons.math3.optim.nonlinear.scalar
Class MultivariateFunctionMappingAdapter.LowerUpperBoundMapper

    java.lang.Object
      org.apache.commons.math3.optim.nonlinear.scalar.MultivariateFunctionMappingAdapter.LowerUpperBoundMapper

All Implemented Interfaces:
  MultivariateFunctionMappingAdapter.Mapper

Enclosing class:
  MultivariateFunctionMappingAdapter

    private static class MultivariateFunctionMappingAdapter.LowerUpperBoundMapper

extends java.lang.Object
implements MultivariateFunctionMappingAdapter.Mapper

Local class for lower and bounds mapping.

Field Summary
`private UnivariateFunction` `boundingFunction` Function from unbounded to bounded.
`private UnivariateFunction` `unboundingFunction` Function from bounded to unbounded.

Constructor Summary
`MultivariateFunctionMappingAdapter.LowerUpperBoundMapper(double lower, double upper)` Simple constructor.

Method Summary
`double` `boundedToUnbounded(double x)` Maps a value from bounded to unbounded.
`double` `unboundedToBounded(double y)` Maps a value from unbounded to bounded.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### boundingFunction

    private final UnivariateFunction boundingFunction

  Function from unbounded to bounded.

### unboundingFunction

    private final UnivariateFunction unboundingFunction

  Function from bounded to unbounded.

Constructor Detail

### MultivariateFunctionMappingAdapter.LowerUpperBoundMapper

    public MultivariateFunctionMappingAdapter.LowerUpperBoundMapper(double lower,
                                                                    double upper)

  Simple constructor.

  Parameters:
    `lower` - lower bound
    `upper` - upper bound

Method Detail

### unboundedToBounded

    public double unboundedToBounded(double y)

  Maps a value from unbounded to bounded.

  Specified by:
    `unboundedToBounded` in interface `MultivariateFunctionMappingAdapter.Mapper`
  Parameters:
    `y` - Unbounded value.
  Returns:
    the bounded value.

### boundedToUnbounded

    public double boundedToUnbounded(double x)

  Maps a value from bounded to unbounded.

  Specified by:
    `boundedToUnbounded` in interface `MultivariateFunctionMappingAdapter.Mapper`
  Parameters:
    `x` - Bounded value.
  Returns:
    the unbounded value.

Copyright (c) 2003-2013 Apache Software Foundation